summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEike Stepper2008-05-24 03:58:53 (EDT)
committerEike Stepper2008-05-24 03:58:53 (EDT)
commit18c35c4710ecf93bc0d36aaf507e5e497d147500 (patch)
tree004499eb3231f3c4d1047a854cddc90b12f722ac
parentce98a2e4e2e36bbb6660e48d2725dcbf07f9a50b (diff)
downloadcdo-18c35c4710ecf93bc0d36aaf507e5e497d147500.zip
cdo-18c35c4710ecf93bc0d36aaf507e5e497d147500.tar.gz
cdo-18c35c4710ecf93bc0d36aaf507e5e497d147500.tar.bz2
[233790] Adjust bundle dependencies
https://bugs.eclipse.org/bugs/show_bug.cgi?id=233790
-rw-r--r--plugins/org.eclipse.emf.cdo.edit/META-INF/MANIFEST.MF10
-rw-r--r--plugins/org.eclipse.emf.cdo.examples/META-INF/MANIFEST.MF4
-rw-r--r--plugins/org.eclipse.emf.cdo.migrator/META-INF/MANIFEST.MF8
-rw-r--r--plugins/org.eclipse.emf.cdo.server.db/META-INF/MANIFEST.MF12
-rw-r--r--plugins/org.eclipse.emf.cdo.server.hibernate.teneo/META-INF/MANIFEST.MF6
-rw-r--r--plugins/org.eclipse.emf.cdo.server.hibernate/META-INF/MANIFEST.MF18
-rw-r--r--plugins/org.eclipse.emf.cdo.server/META-INF/MANIFEST.MF10
-rw-r--r--plugins/org.eclipse.emf.cdo.tests.hibernate/META-INF/MANIFEST.MF16
-rw-r--r--plugins/org.eclipse.emf.cdo.tests.mango/META-INF/MANIFEST.MF12
-rw-r--r--plugins/org.eclipse.emf.cdo.tests.model1/META-INF/MANIFEST.MF12
-rw-r--r--plugins/org.eclipse.emf.cdo.tests.model2/META-INF/MANIFEST.MF14
-rw-r--r--plugins/org.eclipse.emf.cdo.tests.model3/META-INF/MANIFEST.MF18
-rw-r--r--plugins/org.eclipse.emf.cdo.tests/META-INF/MANIFEST.MF26
-rw-r--r--plugins/org.eclipse.emf.cdo.ui/META-INF/MANIFEST.MF14
-rw-r--r--plugins/org.eclipse.emf.cdo/META-INF/MANIFEST.MF2
-rw-r--r--plugins/org.eclipse.net4j.buddies.server/META-INF/MANIFEST.MF2
-rw-r--r--plugins/org.eclipse.net4j.buddies.ui/META-INF/MANIFEST.MF12
-rw-r--r--plugins/org.eclipse.net4j.buddies/META-INF/MANIFEST.MF2
-rw-r--r--plugins/org.eclipse.net4j.db.derby/META-INF/MANIFEST.MF172
-rw-r--r--plugins/org.eclipse.net4j.db.hsqldb/META-INF/MANIFEST.MF26
-rw-r--r--plugins/org.eclipse.net4j.db.mysql/META-INF/MANIFEST.MF24
-rw-r--r--plugins/org.eclipse.net4j.db.tests/META-INF/MANIFEST.MF12
-rw-r--r--plugins/org.eclipse.net4j.db/META-INF/MANIFEST.MF2
-rw-r--r--plugins/org.eclipse.net4j.debug/META-INF/MANIFEST.MF2
-rw-r--r--plugins/org.eclipse.net4j.examples/META-INF/MANIFEST.MF6
-rw-r--r--plugins/org.eclipse.net4j.jms.admin/META-INF/MANIFEST.MF2
-rw-r--r--plugins/org.eclipse.net4j.jms.api/META-INF/MANIFEST.MF4
-rw-r--r--plugins/org.eclipse.net4j.jms.server.jdbc/META-INF/MANIFEST.MF10
-rw-r--r--plugins/org.eclipse.net4j.jms.server/META-INF/MANIFEST.MF8
-rw-r--r--plugins/org.eclipse.net4j.jms.tests/META-INF/MANIFEST.MF10
-rw-r--r--plugins/org.eclipse.net4j.jms/META-INF/MANIFEST.MF8
-rw-r--r--plugins/org.eclipse.net4j.jvm/META-INF/MANIFEST.MF10
-rw-r--r--plugins/org.eclipse.net4j.tcp/META-INF/MANIFEST.MF10
-rw-r--r--plugins/org.eclipse.net4j.tests/META-INF/MANIFEST.MF20
-rw-r--r--plugins/org.eclipse.net4j.ui/META-INF/MANIFEST.MF12
-rw-r--r--plugins/org.eclipse.net4j.util.ui/META-INF/MANIFEST.MF12
-rw-r--r--plugins/org.eclipse.net4j.util/META-INF/MANIFEST.MF6
-rw-r--r--plugins/org.eclipse.net4j/META-INF/MANIFEST.MF8
38 files changed, 281 insertions, 281 deletions
diff --git a/plugins/org.eclipse.emf.cdo.edit/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.cdo.edit/META-INF/MANIFEST.MF
index 8cccc52..f62e28b 100644
--- a/plugins/org.eclipse.emf.cdo.edit/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.cdo.edit/META-INF/MANIFEST.MF
@@ -1,18 +1,18 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.emf.cdo.edit; singleton:=true
Bundle-Version: 0.8.0.qualifier
-Bundle-ClassPath: .
-Bundle-Activator: org.eclipse.emf.cdo.eresource.provider.EresourceEditPlugin$Implementation
+Bundle-Name: %pluginName
Bundle-Vendor: %providerName
Bundle-Localization: plugin
+Bundle-ActivationPolicy: lazy
+Bundle-Activator: org.eclipse.emf.cdo.eresource.provider.EresourceEditPlugin$Implementation
Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-ClassPath: .
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
org.eclipse.emf.edit;bundle-version="[2.4.0,3.0.0)";visibility:=reexport,
org.eclipse.emf.ecore;bundle-version="[2.4.0,3.0.0)";visibility:=reexport,
org.eclipse.emf.ecore.edit;bundle-version="[2.4.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.cdo;visibility:=reexport
+ org.eclipse.emf.cdo;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
Export-Package: org.eclipse.emf.cdo.edit;version="0.8.0",
org.eclipse.emf.cdo.eresource.provider;version="0.8.0"
-Bundle-ActivationPolicy: lazy
diff --git a/plugins/org.eclipse.emf.cdo.examples/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.cdo.examples/META-INF/MANIFEST.MF
index 193e388..0ab912e 100644
--- a/plugins/org.eclipse.emf.cdo.examples/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.cdo.examples/META-INF/MANIFEST.MF
@@ -9,6 +9,6 @@ Bundle-ClassPath: .
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)";resolution:=optional,
- org.eclipse.emf.cdo;visibility:=reexport,
- org.eclipse.net4j.tcp;visibility:=reexport
+ org.eclipse.emf.cdo;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.net4j.tcp;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
Bundle-ActivationPolicy: lazy
diff --git a/plugins/org.eclipse.emf.cdo.migrator/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.cdo.migrator/META-INF/MANIFEST.MF
index f352cfd..fe5292d 100644
--- a/plugins/org.eclipse.emf.cdo.migrator/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.cdo.migrator/META-INF/MANIFEST.MF
@@ -1,15 +1,15 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.emf.cdo.migrator;singleton:=true
Bundle-Version: 0.8.0.qualifier
-Bundle-ClassPath: .
+Bundle-Name: %pluginName
Bundle-Vendor: %providerName
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-ClassPath: .
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.core.resources,
- org.eclipse.ui,
+ org.eclipse.core.resources;bundle-version="[3.4.0,4.0.0)",
+ org.eclipse.ui;bundle-version="[3.4.0,4.0.0)",
org.eclipse.emf.ecore.xmi;bundle-version="[2.4.0,3.0.0)",
org.eclipse.emf.importer;bundle-version="[2.4.0,3.0.0)"
Export-Package: org.eclipse.emf.cdo.migrator;version="0.8.0",
diff --git a/plugins/org.eclipse.emf.cdo.server.db/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.cdo.server.db/META-INF/MANIFEST.MF
index be6f2da..18dc3ba 100644
--- a/plugins/org.eclipse.emf.cdo.server.db/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.cdo.server.db/META-INF/MANIFEST.MF
@@ -1,16 +1,16 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.emf.cdo.server.db;singleton:=true
Bundle-Version: 0.8.0.qualifier
+Bundle-Name: %pluginName
Bundle-Vendor: %providerName
-Bundle-Activator: org.eclipse.emf.cdo.server.internal.db.bundle.OM$Activator
-Bundle-ClassPath: .
Bundle-Localization: plugin
+Bundle-ActivationPolicy: lazy
+Bundle-Activator: org.eclipse.emf.cdo.server.internal.db.bundle.OM$Activator
Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-ClassPath: .
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.net4j.db;visibility:=reexport,
- org.eclipse.emf.cdo.server;visibility:=reexport
+ org.eclipse.net4j.db;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.emf.cdo.server;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
Export-Package: org.eclipse.emf.cdo.server.db;version="0.8.0",
org.eclipse.emf.cdo.server.internal.db;version="0.8.0"
-Bundle-ActivationPolicy: lazy
diff --git a/plugins/org.eclipse.emf.cdo.server.hibernate.teneo/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.cdo.server.hibernate.teneo/META-INF/MANIFEST.MF
index 48caec1..b2a0a17 100644
--- a/plugins/org.eclipse.emf.cdo.server.hibernate.teneo/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.cdo.server.hibernate.teneo/META-INF/MANIFEST.MF
@@ -7,8 +7,8 @@ Bundle-Vendor: %providerName
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.emf.ecore.xmi;bundle-version="[2.4.0,3.0.0)",
- org.eclipse.emf.cdo.server.hibernate;visibility:=reexport,
- org.eclipse.emf.teneo.hibernate.mapper;visibility:=reexport
+ org.eclipse.emf.cdo.server.hibernate;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.emf.teneo.hibernate.mapper;bundle-version="[0.8.0,2.0.0)";visibility:=reexport
Import-Package: org.hibernate.cfg
-Export-Package: org.eclipse.emf.cdo.server.hibernate.teneo
+Export-Package: org.eclipse.emf.cdo.server.hibernate.teneo;version="0.8.0"
Eclipse-BuddyPolicy: dependent
diff --git a/plugins/org.eclipse.emf.cdo.server.hibernate/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.cdo.server.hibernate/META-INF/MANIFEST.MF
index 84ac289..f72aa25 100644
--- a/plugins/org.eclipse.emf.cdo.server.hibernate/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.cdo.server.hibernate/META-INF/MANIFEST.MF
@@ -10,13 +10,13 @@ Bundle-Activator: org.eclipse.emf.cdo.server.internal.hibernate.bundle.OM$Activa
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Bundle-ClassPath: .
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.cdo;visibility:=reexport,
- org.eclipse.emf.cdo.server;visibility:=reexport,
- org.eclipse.emf.cdo.server.hibernate.libraries;visibility:=reexport,
- org.eclipse.emf.cdo.server.hibernate.id;visibility:=reexport
-Export-Package: org.eclipse.emf.cdo.server.hibernate,
- org.eclipse.emf.cdo.server.internal.hibernate,
- org.eclipse.emf.cdo.server.internal.hibernate.bundle,
- org.eclipse.emf.cdo.server.internal.hibernate.info,
- org.eclipse.emf.cdo.server.internal.hibernate.tuplizer
+ org.eclipse.emf.cdo;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.emf.cdo.server;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.emf.cdo.server.hibernate.libraries;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.emf.cdo.server.hibernate.id;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
+Export-Package: org.eclipse.emf.cdo.server.hibernate;version="0.8.0",
+ org.eclipse.emf.cdo.server.internal.hibernate;version="0.8.0",
+ org.eclipse.emf.cdo.server.internal.hibernate.bundle;version="0.8.0",
+ org.eclipse.emf.cdo.server.internal.hibernate.info;version="0.8.0",
+ org.eclipse.emf.cdo.server.internal.hibernate.tuplizer;version="0.8.0"
Eclipse-BuddyPolicy: dependent
diff --git a/plugins/org.eclipse.emf.cdo.server/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.cdo.server/META-INF/MANIFEST.MF
index f08abe2..c5eca7b 100644
--- a/plugins/org.eclipse.emf.cdo.server/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.cdo.server/META-INF/MANIFEST.MF
@@ -1,16 +1,16 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.emf.cdo.server;singleton:=true
Bundle-Version: 0.8.0.qualifier
+Bundle-Name: %pluginName
Bundle-Vendor: %providerName
-Bundle-Activator: org.eclipse.emf.cdo.internal.server.bundle.OM$Activator
-Bundle-ClassPath: .
Bundle-Localization: plugin
+Bundle-ActivationPolicy: lazy
+Bundle-Activator: org.eclipse.emf.cdo.internal.server.bundle.OM$Activator
Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-ClassPath: .
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)";resolution:=optional,
- org.eclipse.emf.cdo.protocol;visibility:=reexport
+ org.eclipse.emf.cdo.protocol;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
Export-Package: org.eclipse.emf.cdo.internal.server;version="0.8.0",
org.eclipse.emf.cdo.internal.server.protocol;version="0.8.0",
org.eclipse.emf.cdo.server;version="0.8.0"
-Bundle-ActivationPolicy: lazy
diff --git a/plugins/org.eclipse.emf.cdo.tests.hibernate/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.cdo.tests.hibernate/META-INF/MANIFEST.MF
index 23b805b..d160f14 100644
--- a/plugins/org.eclipse.emf.cdo.tests.hibernate/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.cdo.tests.hibernate/META-INF/MANIFEST.MF
@@ -10,12 +10,12 @@ Bundle-Activator: org.eclipse.emf.cdo.tests.hibernate.Activator
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Bundle-ClassPath: .
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.net4j.db.mysql,
- org.eclipse.net4j.tcp,
- org.eclipse.emf.cdo,
- org.eclipse.emf.cdo.server,
- org.eclipse.emf.cdo.server.hibernate.libraries,
- org.eclipse.emf.cdo.server.hibernate,
- org.eclipse.emf.cdo.tests,
- org.eclipse.emf.cdo.server.hibernate.teneo
+ org.eclipse.net4j.db.mysql;bundle-version="[0.8.0,0.9.0)",
+ org.eclipse.net4j.tcp;bundle-version="[0.8.0,0.9.0)",
+ org.eclipse.emf.cdo;bundle-version="[0.8.0,0.9.0)",
+ org.eclipse.emf.cdo.server;bundle-version="[0.8.0,0.9.0)",
+ org.eclipse.emf.cdo.server.hibernate.libraries;bundle-version="[0.8.0,0.9.0)",
+ org.eclipse.emf.cdo.server.hibernate;bundle-version="[0.8.0,0.9.0)",
+ org.eclipse.emf.cdo.tests;bundle-version="[0.8.0,0.9.0)",
+ org.eclipse.emf.cdo.server.hibernate.teneo;bundle-version="[0.8.0,2.0.0)"
Export-Package: mappings
diff --git a/plugins/org.eclipse.emf.cdo.tests.mango/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.cdo.tests.mango/META-INF/MANIFEST.MF
index 0875df2..d50d712 100644
--- a/plugins/org.eclipse.emf.cdo.tests.mango/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.cdo.tests.mango/META-INF/MANIFEST.MF
@@ -1,16 +1,16 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.emf.cdo.tests.mango; singleton:=true
Bundle-Version: 0.8.0.qualifier
-Bundle-ClassPath: .
+Bundle-Name: %pluginName
Bundle-Vendor: %providerName
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.emf.cdo.tests.mango,
- org.eclipse.emf.cdo.tests.mango.impl,
- org.eclipse.emf.cdo.tests.mango.util
+Bundle-ClassPath: .
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
org.eclipse.emf.ecore;bundle-version="[2.4.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.cdo;visibility:=reexport
+ org.eclipse.emf.cdo;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
+Export-Package: org.eclipse.emf.cdo.tests.mango;version="0.8.0",
+ org.eclipse.emf.cdo.tests.mango.impl;version="0.8.0",
+ org.eclipse.emf.cdo.tests.mango.util;version="0.8.0"
diff --git a/plugins/org.eclipse.emf.cdo.tests.model1/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.cdo.tests.model1/META-INF/MANIFEST.MF
index 0dd7478..d8d1a79 100644
--- a/plugins/org.eclipse.emf.cdo.tests.model1/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.cdo.tests.model1/META-INF/MANIFEST.MF
@@ -1,14 +1,14 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.emf.cdo.tests.model1; singleton:=true
Bundle-Version: 0.8.0.qualifier
-Bundle-ClassPath: .
+Bundle-Name: %pluginName
Bundle-Vendor: %providerName
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-ClassPath: .
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.emf.cdo;visibility:=reexport
-Export-Package: org.eclipse.emf.cdo.tests.model1,
- org.eclipse.emf.cdo.tests.model1.impl,
- org.eclipse.emf.cdo.tests.model1.util
+ org.eclipse.emf.cdo;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
+Export-Package: org.eclipse.emf.cdo.tests.model1;version="0.8.0",
+ org.eclipse.emf.cdo.tests.model1.impl;version="0.8.0",
+ org.eclipse.emf.cdo.tests.model1.util;version="0.8.0"
diff --git a/plugins/org.eclipse.emf.cdo.tests.model2/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.cdo.tests.model2/META-INF/MANIFEST.MF
index 589d82c..88e1170 100644
--- a/plugins/org.eclipse.emf.cdo.tests.model2/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.cdo.tests.model2/META-INF/MANIFEST.MF
@@ -7,11 +7,11 @@ Bundle-ClassPath: .
Bundle-Vendor: %providerName
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.emf.cdo.tests.model2,
- org.eclipse.emf.cdo.tests.model2.impl,
- org.eclipse.emf.cdo.tests.model2.util
-Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.emf.ecore;visibility:=reexport,
- org.eclipse.emf.cdo;visibility:=reexport,
- org.eclipse.emf.cdo.tests.model1;visibility:=reexport
+Export-Package: org.eclipse.emf.cdo.tests.model2;version="0.8.0",
+ org.eclipse.emf.cdo.tests.model2.impl;version="0.8.0",
+ org.eclipse.emf.cdo.tests.model2.util;version="0.8.0"
+Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
+ org.eclipse.emf.ecore;bundle-version="[2.4.0,3.0.0)";visibility:=reexport,
+ org.eclipse.emf.cdo;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.emf.cdo.tests.model1;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
Bundle-ActivationPolicy: lazy
diff --git a/plugins/org.eclipse.emf.cdo.tests.model3/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.cdo.tests.model3/META-INF/MANIFEST.MF
index 087ccc5..2b33abd 100644
--- a/plugins/org.eclipse.emf.cdo.tests.model3/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.cdo.tests.model3/META-INF/MANIFEST.MF
@@ -7,13 +7,13 @@ Bundle-ClassPath: .
Bundle-Vendor: %providerName
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
-Export-Package: org.eclipse.emf.cdo.tests.model3,
- org.eclipse.emf.cdo.tests.model3.impl,
- org.eclipse.emf.cdo.tests.model3.subpackage,
- org.eclipse.emf.cdo.tests.model3.subpackage.impl,
- org.eclipse.emf.cdo.tests.model3.subpackage.util,
- org.eclipse.emf.cdo.tests.model3.util
-Require-Bundle: org.eclipse.core.runtime,
- org.eclipse.emf.ecore;visibility:=reexport,
- org.eclipse.emf.cdo;visibility:=reexport
+Export-Package: org.eclipse.emf.cdo.tests.model3;version="0.8.0",
+ org.eclipse.emf.cdo.tests.model3.impl;version="0.8.0",
+ org.eclipse.emf.cdo.tests.model3.subpackage;version="0.8.0",
+ org.eclipse.emf.cdo.tests.model3.subpackage.impl;version="0.8.0",
+ org.eclipse.emf.cdo.tests.model3.subpackage.util;version="0.8.0",
+ org.eclipse.emf.cdo.tests.model3.util;version="0.8.0"
+Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
+ org.eclipse.emf.ecore;bundle-version="[2.4.0,3.0.0)";visibility:=reexport,
+ org.eclipse.emf.cdo;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
Bundle-ActivationPolicy: lazy
diff --git a/plugins/org.eclipse.emf.cdo.tests/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.cdo.tests/META-INF/MANIFEST.MF
index 510e598..e312279 100644
--- a/plugins/org.eclipse.emf.cdo.tests/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.cdo.tests/META-INF/MANIFEST.MF
@@ -10,17 +10,17 @@ Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
org.eclipse.emf.ecore.xmi;bundle-version="[2.4.0,3.0.0)";visibility:=reexport,
- org.eclipse.net4j.db.hsqldb;resolution:=optional;visibility:=reexport,
- org.eclipse.net4j.jvm;resolution:=optional;visibility:=reexport,
- org.eclipse.net4j.tcp;resolution:=optional;visibility:=reexport,
- org.eclipse.emf.cdo.server;visibility:=reexport,
- org.eclipse.emf.cdo.server.db;visibility:=reexport,
- org.eclipse.emf.cdo;visibility:=reexport,
- org.eclipse.emf.cdo.tests.mango;visibility:=reexport,
- org.eclipse.emf.cdo.tests.model1;visibility:=reexport,
- org.eclipse.emf.cdo.tests.model2;visibility:=reexport,
- org.eclipse.emf.cdo.tests.model3;visibility:=reexport,
- org.junit;visibility:=reexport
-Export-Package: org.eclipse.emf.cdo.tests,
- org.eclipse.net4j.tests
+ org.eclipse.net4j.db.hsqldb;bundle-version="[0.8.0,0.9.0)";resolution:=optional;visibility:=reexport,
+ org.eclipse.net4j.jvm;bundle-version="[0.8.0,0.9.0)";resolution:=optional;visibility:=reexport,
+ org.eclipse.net4j.tcp;bundle-version="[0.8.0,0.9.0)";resolution:=optional;visibility:=reexport,
+ org.eclipse.emf.cdo.server;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.emf.cdo.server.db;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.emf.cdo;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.emf.cdo.tests.mango;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.emf.cdo.tests.model1;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.emf.cdo.tests.model2;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.emf.cdo.tests.model3;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.junit;bundle-version="[3.8.0,4.0.0)";visibility:=reexport
+Export-Package: org.eclipse.emf.cdo.tests;version="0.8.0",
+ org.eclipse.net4j.tests;version="0.8.0";x-friends:="org.eclipse.emf.cdo.tests.hibernate,org.eclipse.emf.cdo.tests.hibernate.client"
Bundle-ActivationPolicy: lazy
diff --git a/plugins/org.eclipse.emf.cdo.ui/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.cdo.ui/META-INF/MANIFEST.MF
index c018d23..1f00fea 100644
--- a/plugins/org.eclipse.emf.cdo.ui/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.cdo.ui/META-INF/MANIFEST.MF
@@ -9,15 +9,15 @@ Bundle-ClassPath: .
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.core.resources,
- org.eclipse.ui,
- org.eclipse.ui.ide;visibility:=reexport,
+ org.eclipse.core.resources;bundle-version="[3.4.0,4.0.0)",
+ org.eclipse.ui;bundle-version="[3.4.0,4.0.0)",
+ org.eclipse.ui.ide;bundle-version="[3.4.0,4.0.0)";visibility:=reexport,
org.eclipse.emf.edit.ui;bundle-version="[2.4.0,3.0.0)";visibility:=reexport,
org.eclipse.emf.ecore.edit;bundle-version="[2.4.0,3.0.0)";visibility:=reexport,
- org.eclipse.net4j;visibility:=reexport,
- org.eclipse.net4j.util.ui;visibility:=reexport,
- org.eclipse.emf.cdo;visibility:=reexport,
- org.eclipse.emf.cdo.edit
+ org.eclipse.net4j;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.net4j.util.ui;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.emf.cdo;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.emf.cdo.edit;bundle-version="[0.8.0,0.9.0)"
Export-Package: org.eclipse.emf.cdo.internal.ui;version="0.8.0",
org.eclipse.emf.cdo.internal.ui.actions;version="0.8.0",
org.eclipse.emf.cdo.internal.ui.dialogs;version="0.8.0",
diff --git a/plugins/org.eclipse.emf.cdo/META-INF/MANIFEST.MF b/plugins/org.eclipse.emf.cdo/META-INF/MANIFEST.MF
index 757f968..72d7979 100644
--- a/plugins/org.eclipse.emf.cdo/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.emf.cdo/META-INF/MANIFEST.MF
@@ -11,7 +11,7 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
org.eclipse.emf.ecore;bundle-version="[2.4.0,3.0.0)";visibility:=reexport,
org.eclipse.emf.ecore.xmi;bundle-version="[2.4.0,3.0.0)";visibility:=reexport,
- org.eclipse.emf.cdo.protocol;visibility:=reexport
+ org.eclipse.emf.cdo.protocol;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
Export-Package: org.eclipse.emf.cdo;version="0.8.0",
org.eclipse.emf.cdo.analyzer;version="0.8.0",
org.eclipse.emf.cdo.eresource;version="0.8.0",
diff --git a/plugins/org.eclipse.net4j.buddies.server/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.buddies.server/META-INF/MANIFEST.MF
index 8028681..83867e7 100644
--- a/plugins/org.eclipse.net4j.buddies.server/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.buddies.server/META-INF/MANIFEST.MF
@@ -9,7 +9,7 @@ Bundle-ClassPath: .
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)";resolution:=optional,
- org.eclipse.net4j.buddies.protocol;visibility:=reexport
+ org.eclipse.net4j.buddies.protocol;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
Export-Package: org.eclipse.net4j.buddies.internal.server;version="0.8.0",
org.eclipse.net4j.buddies.internal.server.protocol;version="0.8.0",
org.eclipse.net4j.buddies.server;version="0.8.0"
diff --git a/plugins/org.eclipse.net4j.buddies.ui/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.buddies.ui/META-INF/MANIFEST.MF
index f0dc1a2..2555c50 100644
--- a/plugins/org.eclipse.net4j.buddies.ui/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.buddies.ui/META-INF/MANIFEST.MF
@@ -9,12 +9,12 @@ Bundle-ClassPath: .
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.ui;visibility:=reexport,
- org.eclipse.ui.ide;visibility:=reexport,
- org.eclipse.net4j;visibility:=reexport,
- org.eclipse.net4j.util.ui;visibility:=reexport,
- org.eclipse.net4j.buddies;visibility:=reexport,
- org.eclipse.net4j.chat;resolution:=optional
+ org.eclipse.ui;bundle-version="[3.4.0,4.0.0)";visibility:=reexport,
+ org.eclipse.ui.ide;bundle-version="[3.4.0,4.0.0)";visibility:=reexport,
+ org.eclipse.net4j;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.net4j.util.ui;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.net4j.buddies;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.net4j.chat;bundle-version="[0.8.0,0.9.0)";resolution:=optional
Export-Package: org.eclipse.net4j.buddies.internal.ui;version="0.8.0",
org.eclipse.net4j.buddies.internal.ui.actions;version="0.8.0",
org.eclipse.net4j.buddies.internal.ui.dnd;version="0.8.0",
diff --git a/plugins/org.eclipse.net4j.buddies/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.buddies/META-INF/MANIFEST.MF
index 950945e..f4e5c40 100644
--- a/plugins/org.eclipse.net4j.buddies/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.buddies/META-INF/MANIFEST.MF
@@ -9,7 +9,7 @@ Bundle-Localization: plugin
Bundle-Activator: org.eclipse.net4j.internal.buddies.bundle.OM$Activator
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.net4j.buddies.protocol;visibility:=reexport
+ org.eclipse.net4j.buddies.protocol;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
Export-Package: org.eclipse.net4j.buddies;version="0.8.0",
org.eclipse.net4j.internal.buddies;version="0.8.0",
org.eclipse.net4j.internal.buddies.protocol;version="0.8.0"
diff --git a/plugins/org.eclipse.net4j.db.derby/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.db.derby/META-INF/MANIFEST.MF
index e90a372..4cbf89a 100644
--- a/plugins/org.eclipse.net4j.db.derby/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.db.derby/META-INF/MANIFEST.MF
@@ -10,91 +10,91 @@ Bundle-ClassPath: .,
lib/derby.jar,
lib/derbyclient.jar
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.net4j.db;visibility:=reexport
-Export-Package: org.apache.derby.authentication,
- org.apache.derby.catalog,
- org.apache.derby.catalog.types,
- org.apache.derby.client,
- org.apache.derby.client.am,
- org.apache.derby.client.net,
- org.apache.derby.database,
- org.apache.derby.diag,
- org.apache.derby.iapi.db,
- org.apache.derby.iapi.error,
- org.apache.derby.iapi.jdbc,
- org.apache.derby.iapi.services.cache,
- org.apache.derby.iapi.services.classfile,
- org.apache.derby.iapi.services.compiler,
- org.apache.derby.iapi.services.context,
- org.apache.derby.iapi.services.crypto,
- org.apache.derby.iapi.services.daemon,
- org.apache.derby.iapi.services.diag,
- org.apache.derby.iapi.services.i18n,
- org.apache.derby.iapi.services.info,
- org.apache.derby.iapi.services.io,
- org.apache.derby.iapi.services.loader,
- org.apache.derby.iapi.services.locks,
- org.apache.derby.iapi.services.memory,
- org.apache.derby.iapi.services.monitor,
- org.apache.derby.iapi.services.property,
- org.apache.derby.iapi.services.stream,
- org.apache.derby.iapi.services.timer,
- org.apache.derby.iapi.services.uuid,
- org.apache.derby.iapi.sql,
- org.apache.derby.iapi.sql.compile,
- org.apache.derby.iapi.sql.conn,
- org.apache.derby.iapi.sql.depend,
- org.apache.derby.iapi.sql.dictionary,
- org.apache.derby.iapi.sql.execute,
- org.apache.derby.iapi.store.access,
- org.apache.derby.iapi.store.access.conglomerate,
- org.apache.derby.iapi.store.access.xa,
- org.apache.derby.iapi.store.raw,
- org.apache.derby.iapi.store.raw.data,
- org.apache.derby.iapi.store.raw.log,
- org.apache.derby.iapi.store.raw.xact,
- org.apache.derby.iapi.tools.i18n,
- org.apache.derby.iapi.types,
- org.apache.derby.iapi.util,
- org.apache.derby.impl.db,
- org.apache.derby.impl.io,
- org.apache.derby.impl.jdbc,
- org.apache.derby.impl.jdbc.authentication,
- org.apache.derby.impl.load,
- org.apache.derby.impl.services.bytecode,
- org.apache.derby.impl.services.cache,
- org.apache.derby.impl.services.daemon,
- org.apache.derby.impl.services.jce,
- org.apache.derby.impl.services.locks,
- org.apache.derby.impl.services.monitor,
- org.apache.derby.impl.services.reflect,
- org.apache.derby.impl.services.stream,
- org.apache.derby.impl.services.timer,
- org.apache.derby.impl.services.uuid,
- org.apache.derby.impl.sql,
- org.apache.derby.impl.sql.catalog,
- org.apache.derby.impl.sql.compile,
- org.apache.derby.impl.sql.conn,
- org.apache.derby.impl.sql.depend,
- org.apache.derby.impl.sql.execute,
- org.apache.derby.impl.sql.execute.rts,
- org.apache.derby.impl.store.access,
- org.apache.derby.impl.store.access.btree,
- org.apache.derby.impl.store.access.btree.index,
- org.apache.derby.impl.store.access.conglomerate,
- org.apache.derby.impl.store.access.heap,
- org.apache.derby.impl.store.access.sort,
- org.apache.derby.impl.store.raw,
- org.apache.derby.impl.store.raw.data,
- org.apache.derby.impl.store.raw.log,
- org.apache.derby.impl.store.raw.xact,
- org.apache.derby.impl.tools.sysinfo,
- org.apache.derby.io,
- org.apache.derby.jdbc,
- org.apache.derby.osgi,
- org.apache.derby.shared.common.error,
- org.apache.derby.shared.common.i18n,
- org.apache.derby.tools,
- org.apache.derby.vti,
+ org.eclipse.net4j.db;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
+Export-Package: org.apache.derby.authentication;version="10.3.2",
+ org.apache.derby.catalog;version="10.3.2",
+ org.apache.derby.catalog.types;version="10.3.2",
+ org.apache.derby.client;version="10.3.2",
+ org.apache.derby.client.am;version="10.3.2",
+ org.apache.derby.client.net;version="10.3.2",
+ org.apache.derby.database;version="10.3.2",
+ org.apache.derby.diag;version="10.3.2",
+ org.apache.derby.iapi.db;version="10.3.2",
+ org.apache.derby.iapi.error;version="10.3.2",
+ org.apache.derby.iapi.jdbc;version="10.3.2",
+ org.apache.derby.iapi.services.cache;version="10.3.2",
+ org.apache.derby.iapi.services.classfile;version="10.3.2",
+ org.apache.derby.iapi.services.compiler;version="10.3.2",
+ org.apache.derby.iapi.services.context;version="10.3.2",
+ org.apache.derby.iapi.services.crypto;version="10.3.2",
+ org.apache.derby.iapi.services.daemon;version="10.3.2",
+ org.apache.derby.iapi.services.diag;version="10.3.2",
+ org.apache.derby.iapi.services.i18n;version="10.3.2",
+ org.apache.derby.iapi.services.info;version="10.3.2",
+ org.apache.derby.iapi.services.io;version="10.3.2",
+ org.apache.derby.iapi.services.loader;version="10.3.2",
+ org.apache.derby.iapi.services.locks;version="10.3.2",
+ org.apache.derby.iapi.services.memory;version="10.3.2",
+ org.apache.derby.iapi.services.monitor;version="10.3.2",
+ org.apache.derby.iapi.services.property;version="10.3.2",
+ org.apache.derby.iapi.services.stream;version="10.3.2",
+ org.apache.derby.iapi.services.timer;version="10.3.2",
+ org.apache.derby.iapi.services.uuid;version="10.3.2",
+ org.apache.derby.iapi.sql;version="10.3.2",
+ org.apache.derby.iapi.sql.compile;version="10.3.2",
+ org.apache.derby.iapi.sql.conn;version="10.3.2",
+ org.apache.derby.iapi.sql.depend;version="10.3.2",
+ org.apache.derby.iapi.sql.dictionary;version="10.3.2",
+ org.apache.derby.iapi.sql.execute;version="10.3.2",
+ org.apache.derby.iapi.store.access;version="10.3.2",
+ org.apache.derby.iapi.store.access.conglomerate;version="10.3.2",
+ org.apache.derby.iapi.store.access.xa;version="10.3.2",
+ org.apache.derby.iapi.store.raw;version="10.3.2",
+ org.apache.derby.iapi.store.raw.data;version="10.3.2",
+ org.apache.derby.iapi.store.raw.log;version="10.3.2",
+ org.apache.derby.iapi.store.raw.xact;version="10.3.2",
+ org.apache.derby.iapi.tools.i18n;version="10.3.2",
+ org.apache.derby.iapi.types;version="10.3.2",
+ org.apache.derby.iapi.util;version="10.3.2",
+ org.apache.derby.impl.db;version="10.3.2",
+ org.apache.derby.impl.io;version="10.3.2",
+ org.apache.derby.impl.jdbc;version="10.3.2",
+ org.apache.derby.impl.jdbc.authentication;version="10.3.2",
+ org.apache.derby.impl.load;version="10.3.2",
+ org.apache.derby.impl.services.bytecode;version="10.3.2",
+ org.apache.derby.impl.services.cache;version="10.3.2",
+ org.apache.derby.impl.services.daemon;version="10.3.2",
+ org.apache.derby.impl.services.jce;version="10.3.2",
+ org.apache.derby.impl.services.locks;version="10.3.2",
+ org.apache.derby.impl.services.monitor;version="10.3.2",
+ org.apache.derby.impl.services.reflect;version="10.3.2",
+ org.apache.derby.impl.services.stream;version="10.3.2",
+ org.apache.derby.impl.services.timer;version="10.3.2",
+ org.apache.derby.impl.services.uuid;version="10.3.2",
+ org.apache.derby.impl.sql;version="10.3.2",
+ org.apache.derby.impl.sql.catalog;version="10.3.2",
+ org.apache.derby.impl.sql.compile;version="10.3.2",
+ org.apache.derby.impl.sql.conn;version="10.3.2",
+ org.apache.derby.impl.sql.depend;version="10.3.2",
+ org.apache.derby.impl.sql.execute;version="10.3.2",
+ org.apache.derby.impl.sql.execute.rts;version="10.3.2",
+ org.apache.derby.impl.store.access;version="10.3.2",
+ org.apache.derby.impl.store.access.btree;version="10.3.2",
+ org.apache.derby.impl.store.access.btree.index;version="10.3.2",
+ org.apache.derby.impl.store.access.conglomerate;version="10.3.2",
+ org.apache.derby.impl.store.access.heap;version="10.3.2",
+ org.apache.derby.impl.store.access.sort;version="10.3.2",
+ org.apache.derby.impl.store.raw;version="10.3.2",
+ org.apache.derby.impl.store.raw.data;version="10.3.2",
+ org.apache.derby.impl.store.raw.log;version="10.3.2",
+ org.apache.derby.impl.store.raw.xact;version="10.3.2",
+ org.apache.derby.impl.tools.sysinfo;version="10.3.2",
+ org.apache.derby.io;version="10.3.2",
+ org.apache.derby.jdbc;version="10.3.2",
+ org.apache.derby.osgi;version="10.3.2",
+ org.apache.derby.shared.common.error;version="10.3.2",
+ org.apache.derby.shared.common.i18n;version="10.3.2",
+ org.apache.derby.tools;version="10.3.2",
+ org.apache.derby.vti;version="10.3.2",
org.eclipse.net4j.db.internal.derby;version="0.8.0"
Eclipse-RegisterBuddy: org.eclipse.net4j.db
diff --git a/plugins/org.eclipse.net4j.db.hsqldb/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.db.hsqldb/META-INF/MANIFEST.MF
index 45d79cb..28dba6e 100644
--- a/plugins/org.eclipse.net4j.db.hsqldb/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.db.hsqldb/META-INF/MANIFEST.MF
@@ -9,19 +9,19 @@ Bundle-ClassPath: .,
lib/hsqldb.jar
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.net4j.db;visibility:=reexport
+ org.eclipse.net4j.db;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
Export-Package: org.eclipse.net4j.db.hsqldb;version="0.8.0",
org.eclipse.net4j.db.internal.hsqldb;version="0.8.0",
- org.hsqldb,
- org.hsqldb.index,
- org.hsqldb.jdbc,
- org.hsqldb.lib,
- org.hsqldb.lib.java,
- org.hsqldb.persist,
- org.hsqldb.resources,
- org.hsqldb.rowio,
- org.hsqldb.scriptio,
- org.hsqldb.store,
- org.hsqldb.types,
- org.hsqldb.util
+ org.hsqldb;version="1.8.0",
+ org.hsqldb.index;version="1.8.0",
+ org.hsqldb.jdbc;version="1.8.0",
+ org.hsqldb.lib;version="1.8.0",
+ org.hsqldb.lib.java;version="1.8.0",
+ org.hsqldb.persist;version="1.8.0",
+ org.hsqldb.resources;version="1.8.0",
+ org.hsqldb.rowio;version="1.8.0",
+ org.hsqldb.scriptio;version="1.8.0",
+ org.hsqldb.store;version="1.8.0",
+ org.hsqldb.types;version="1.8.0",
+ org.hsqldb.util;version="1.8.0"
Eclipse-RegisterBuddy: org.eclipse.net4j.db
diff --git a/plugins/org.eclipse.net4j.db.mysql/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.db.mysql/META-INF/MANIFEST.MF
index 5324223..11de3f0 100644
--- a/plugins/org.eclipse.net4j.db.mysql/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.db.mysql/META-INF/MANIFEST.MF
@@ -9,17 +9,17 @@ Bundle-RequiredExecutionEnvironment: J2SE-1.5
Bundle-ClassPath: .,
lib/mysql-connector-java-5.1.5-bin.jar
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.net4j.db;visibility:=reexport
-Export-Package: com.mysql.jdbc,
- com.mysql.jdbc.exceptions,
- com.mysql.jdbc.exceptions.jdbc4,
- com.mysql.jdbc.integration.c3p0,
- com.mysql.jdbc.integration.jboss,
- com.mysql.jdbc.interceptors,
- com.mysql.jdbc.jdbc2.optional,
- com.mysql.jdbc.log,
- com.mysql.jdbc.profiler,
- com.mysql.jdbc.util,
+ org.eclipse.net4j.db;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
+Export-Package: com.mysql.jdbc;version="5.1.5",
+ com.mysql.jdbc.exceptions;version="5.1.5",
+ com.mysql.jdbc.exceptions.jdbc4;version="5.1.5",
+ com.mysql.jdbc.integration.c3p0;version="5.1.5",
+ com.mysql.jdbc.integration.jboss;version="5.1.5",
+ com.mysql.jdbc.interceptors;version="5.1.5",
+ com.mysql.jdbc.jdbc2.optional;version="5.1.5",
+ com.mysql.jdbc.log;version="5.1.5",
+ com.mysql.jdbc.profiler;version="5.1.5",
+ com.mysql.jdbc.util;version="5.1.5",
org.eclipse.net4j.db.internal.mysql;version="0.8.0",
- org.gjt.mm.mysql
+ org.gjt.mm.mysql;version="5.1.5"
Eclipse-RegisterBuddy: org.eclipse.net4j.db
diff --git a/plugins/org.eclipse.net4j.db.tests/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.db.tests/META-INF/MANIFEST.MF
index 98cbdc8..b6ac4cf 100644
--- a/plugins/org.eclipse.net4j.db.tests/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.db.tests/META-INF/MANIFEST.MF
@@ -4,12 +4,12 @@ Bundle-SymbolicName: org.eclipse.net4j.db.tests
Bundle-Version: 0.8.0.qualifier
Bundle-Name: %pluginName
Bundle-Vendor: %providerName
-Bundle-Activator: org.eclipse.net4j.db.tests.bundle.Activator
-Bundle-ClassPath: .
Bundle-Localization: plugin
+Bundle-ActivationPolicy: lazy
+Bundle-Activator: org.eclipse.net4j.db.tests.bundle.Activator
Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-ClassPath: .
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.net4j.tests;visibility:=reexport,
- org.eclipse.net4j.db.derby;visibility:=reexport
-Export-Package: org.eclipse.net4j.db.tests
-Bundle-ActivationPolicy: lazy
+ org.eclipse.net4j.tests;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.net4j.db.derby;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
+Export-Package: org.eclipse.net4j.db.tests;version="0.8.0"
diff --git a/plugins/org.eclipse.net4j.db/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.db/META-INF/MANIFEST.MF
index 7278186..8bd4804 100644
--- a/plugins/org.eclipse.net4j.db/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.db/META-INF/MANIFEST.MF
@@ -9,7 +9,7 @@ Bundle-ClassPath: .
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.net4j.util;visibility:=reexport
+ org.eclipse.net4j.util;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
Export-Package: org.eclipse.net4j.db;version="0.8.0",
org.eclipse.net4j.db.ddl;version="0.8.0",
org.eclipse.net4j.db.dml;version="0.8.0",
diff --git a/plugins/org.eclipse.net4j.debug/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.debug/META-INF/MANIFEST.MF
index a6210b8..b4e8b8e 100644
--- a/plugins/org.eclipse.net4j.debug/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.debug/META-INF/MANIFEST.MF
@@ -9,5 +9,5 @@ Bundle-ClassPath: .
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.net4j.util.ui;visibility:=reexport
+ org.eclipse.net4j.util.ui;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
Bundle-ActivationPolicy: lazy
diff --git a/plugins/org.eclipse.net4j.examples/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.examples/META-INF/MANIFEST.MF
index 22331c6..8428587 100644
--- a/plugins/org.eclipse.net4j.examples/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.examples/META-INF/MANIFEST.MF
@@ -9,7 +9,7 @@ Bundle-ClassPath: .
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)";resolution:=optional,
- org.eclipse.net4j;visibility:=reexport,
- org.eclipse.net4j.tcp;visibility:=reexport,
- org.eclipse.net4j.jvm;visibility:=reexport
+ org.eclipse.net4j;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.net4j.tcp;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.net4j.jvm;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
Bundle-ActivationPolicy: lazy
diff --git a/plugins/org.eclipse.net4j.jms.admin/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.jms.admin/META-INF/MANIFEST.MF
index 819e880..5153f3d 100644
--- a/plugins/org.eclipse.net4j.jms.admin/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.jms.admin/META-INF/MANIFEST.MF
@@ -9,7 +9,7 @@ Bundle-ClassPath: .
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.net4j.jms;visibility:=reexport
+ org.eclipse.net4j.jms;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
Export-Package: org.eclipse.net4j.jms.admin;version="0.8.0",
org.eclipse.net4j.jms.internal.admin;version="0.8.0",
org.eclipse.net4j.jms.internal.admin.protocol;version="0.8.0"
diff --git a/plugins/org.eclipse.net4j.jms.api/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.jms.api/META-INF/MANIFEST.MF
index c53d832..b33743f 100644
--- a/plugins/org.eclipse.net4j.jms.api/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.jms.api/META-INF/MANIFEST.MF
@@ -4,7 +4,7 @@ Bundle-SymbolicName: org.eclipse.net4j.jms.api
Bundle-Version: 0.8.0.qualifier
Bundle-Name: %pluginName
Bundle-Vendor: %providerName
-Export-Package: javax.jms;version="1.1.0"
-Bundle-ClassPath: lib/geronimo-jms_1.1_spec-1.1.jar
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-ClassPath: lib/geronimo-jms_1.1_spec-1.1.jar
+Export-Package: javax.jms;version="1.1.0"
diff --git a/plugins/org.eclipse.net4j.jms.server.jdbc/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.jms.server.jdbc/META-INF/MANIFEST.MF
index 5311e68..db0ff27 100644
--- a/plugins/org.eclipse.net4j.jms.server.jdbc/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.jms.server.jdbc/META-INF/MANIFEST.MF
@@ -4,14 +4,14 @@ Bundle-SymbolicName: org.eclipse.net4j.jms.server.jdbc
Bundle-Version: 0.8.0.qualifier
Bundle-Name: %pluginName
Bundle-Vendor: %providerName
-Bundle-Activator: org.eclipse.net4j.jms.server.internal.jdbc.bundle.OM
-Bundle-ClassPath: .
Bundle-Localization: plugin
+Bundle-ActivationPolicy: lazy
+Bundle-Activator: org.eclipse.net4j.jms.server.internal.jdbc.bundle.OM
Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-ClassPath: .
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.net4j.jms.server;visibility:=reexport,
- org.eclipse.net4j.db;visibility:=reexport
+ org.eclipse.net4j.jms.server;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.net4j.db;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
Import-Package: javax.jms;version="1.1.0"
Export-Package: org.eclipse.net4j.jms.server.internal.jdbc;version="0.8.0",
org.eclipse.net4j.jms.server.jdbc;version="0.8.0"
-Bundle-ActivationPolicy: lazy
diff --git a/plugins/org.eclipse.net4j.jms.server/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.jms.server/META-INF/MANIFEST.MF
index 7a84d75..ea90a46 100644
--- a/plugins/org.eclipse.net4j.jms.server/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.jms.server/META-INF/MANIFEST.MF
@@ -4,16 +4,16 @@ Bundle-SymbolicName: org.eclipse.net4j.jms.server
Bundle-Version: 0.8.0.qualifier
Bundle-Name: %pluginName
Bundle-Vendor: %providerName
-Bundle-Activator: org.eclipse.net4j.jms.internal.server.bundle.OM
-Bundle-ClassPath: .
Bundle-Localization: plugin
+Bundle-ActivationPolicy: lazy
+Bundle-Activator: org.eclipse.net4j.jms.internal.server.bundle.OM
Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-ClassPath: .
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.net4j.jms;visibility:=reexport
+ org.eclipse.net4j.jms;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
Import-Package: javax.jms;version="1.1.0"
Export-Package: org.eclipse.net4j.jms.internal.server;version="0.8.0",
org.eclipse.net4j.jms.internal.server.protocol;version="0.8.0",
org.eclipse.net4j.jms.internal.server.protocol.admin;version="0.8.0",
org.eclipse.net4j.jms.internal.server.store;version="0.8.0",
org.eclipse.net4j.jms.server;version="0.8.0"
-Bundle-ActivationPolicy: lazy
diff --git a/plugins/org.eclipse.net4j.jms.tests/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.jms.tests/META-INF/MANIFEST.MF
index 7636782..eb85364 100644
--- a/plugins/org.eclipse.net4j.jms.tests/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.jms.tests/META-INF/MANIFEST.MF
@@ -8,9 +8,9 @@ Bundle-ClassPath: .
Bundle-Localization: plugin
Bundle-RequiredExecutionEnvironment: J2SE-1.5
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.net4j.tcp,
- org.eclipse.net4j.jms,
- org.eclipse.net4j.jms.admin,
- org.eclipse.net4j.jms.server,
- org.eclipse.net4j.jms.server.jdbc
+ org.eclipse.net4j.tcp;bundle-version="[0.8.0,0.9.0)",
+ org.eclipse.net4j.jms;bundle-version="[0.8.0,0.9.0)",
+ org.eclipse.net4j.jms.admin;bundle-version="[0.8.0,0.9.0)",
+ org.eclipse.net4j.jms.server;bundle-version="[0.8.0,0.9.0)",
+ org.eclipse.net4j.jms.server.jdbc;bundle-version="[0.8.0,0.9.0)"
Import-Package: javax.jms;version="1.1.0"
diff --git a/plugins/org.eclipse.net4j.jms/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.jms/META-INF/MANIFEST.MF
index a09de59..9be7995 100644
--- a/plugins/org.eclipse.net4j.jms/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.jms/META-INF/MANIFEST.MF
@@ -4,15 +4,15 @@ Bundle-SymbolicName: org.eclipse.net4j.jms
Bundle-Version: 0.8.0.qualifier
Bundle-Name: %pluginName
Bundle-Vendor: %providerName
-Bundle-Activator: org.eclipse.net4j.internal.jms.bundle.OM$Activator
-Bundle-ClassPath: .
Bundle-Localization: plugin
+Bundle-ActivationPolicy: lazy
+Bundle-Activator: org.eclipse.net4j.internal.jms.bundle.OM$Activator
Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-ClassPath: .
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.net4j;visibility:=reexport
+ org.eclipse.net4j;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
Import-Package: javax.jms;version="1.1.0"
Export-Package: org.eclipse.net4j.internal.jms;version="0.8.0",
org.eclipse.net4j.internal.jms.protocol;version="0.8.0",
org.eclipse.net4j.internal.jms.util;version="0.8.0",
org.eclipse.net4j.jms;version="0.8.0"
-Bundle-ActivationPolicy: lazy
diff --git a/plugins/org.eclipse.net4j.jvm/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.jvm/META-INF/MANIFEST.MF
index 72b1c97..7c6e3e4 100644
--- a/plugins/org.eclipse.net4j.jvm/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.jvm/META-INF/MANIFEST.MF
@@ -1,16 +1,16 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.net4j.jvm;singleton:=true
Bundle-Version: 0.8.0.qualifier
-Bundle-Activator: org.eclipse.net4j.internal.jvm.bundle.OM$Activator
+Bundle-Name: %pluginName
Bundle-Vendor: %providerName
-Bundle-ClassPath: .
Bundle-Localization: plugin
+Bundle-ActivationPolicy: lazy
+Bundle-Activator: org.eclipse.net4j.internal.jvm.bundle.OM$Activator
Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-ClassPath: .
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)";resolution:=optional,
- org.eclipse.net4j;visibility:=reexport
+ org.eclipse.net4j;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
Import-Package: org.osgi.framework;version="1.3.0";resolution:=optional
Export-Package: org.eclipse.net4j.internal.jvm;version="0.8.0",
org.eclipse.net4j.jvm;version="0.8.0"
-Bundle-ActivationPolicy: lazy
diff --git a/plugins/org.eclipse.net4j.tcp/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.tcp/META-INF/MANIFEST.MF
index 8bd74a1..13d2aca 100644
--- a/plugins/org.eclipse.net4j.tcp/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.tcp/META-INF/MANIFEST.MF
@@ -1,16 +1,16 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.net4j.tcp;singleton:=true
Bundle-Version: 0.8.0.qualifier
-Bundle-Activator: org.eclipse.net4j.internal.tcp.bundle.OM$Activator
+Bundle-Name: %pluginName
Bundle-Vendor: %providerName
-Bundle-ClassPath: .
Bundle-Localization: plugin
+Bundle-ActivationPolicy: lazy
+Bundle-Activator: org.eclipse.net4j.internal.tcp.bundle.OM$Activator
Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-ClassPath: .
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)";resolution:=optional,
- org.eclipse.net4j;visibility:=reexport
+ org.eclipse.net4j;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
Import-Package: org.osgi.framework;version="1.3.0";resolution:=optional
Export-Package: org.eclipse.net4j.internal.tcp;version="0.8.0",
org.eclipse.net4j.tcp;version="0.8.0"
-Bundle-ActivationPolicy: lazy
diff --git a/plugins/org.eclipse.net4j.tests/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.tests/META-INF/MANIFEST.MF
index baf51c0..1c594df 100644
--- a/plugins/org.eclipse.net4j.tests/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.tests/META-INF/MANIFEST.MF
@@ -4,16 +4,16 @@ Bundle-SymbolicName: org.eclipse.net4j.tests
Bundle-Version: 0.8.0.qualifier
Bundle-Name: %pluginName
Bundle-Vendor: %providerName
-Bundle-Activator: org.eclipse.net4j.tests.bundle.Activator
-Bundle-ClassPath: .
Bundle-Localization: plugin
+Bundle-ActivationPolicy: lazy
+Bundle-Activator: org.eclipse.net4j.tests.bundle.Activator
Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-ClassPath: .
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.net4j.tcp;visibility:=reexport,
- org.eclipse.net4j.jvm;visibility:=reexport,
- org.junit;visibility:=reexport
-Export-Package: org.eclipse.net4j.tests,
- org.eclipse.net4j.tests.signal,
- org.eclipse.net4j.util.tests,
- org.eclipse.net4j.util.tests.cache
-Bundle-ActivationPolicy: lazy
+ org.eclipse.net4j.tcp;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.net4j.jvm;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.junit;bundle-version="[3.8.0,4.0.0)";visibility:=reexport
+Export-Package: org.eclipse.net4j.tests;version="0.8.0",
+ org.eclipse.net4j.tests.signal;version="0.8.0",
+ org.eclipse.net4j.util.tests;version="0.8.0",
+ org.eclipse.net4j.util.tests.cache;version="0.8.0"
diff --git a/plugins/org.eclipse.net4j.ui/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.ui/META-INF/MANIFEST.MF
index 73435e6..20d26e9 100644
--- a/plugins/org.eclipse.net4j.ui/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.ui/META-INF/MANIFEST.MF
@@ -1,16 +1,16 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.net4j.ui;singleton:=true
Bundle-Version: 0.8.0.qualifier
+Bundle-Name: %pluginName
Bundle-Vendor: %providerName
-Bundle-Activator: org.eclipse.net4j.internal.ui.bundle.OM$Activator
-Bundle-ClassPath: .
Bundle-Localization: plugin
+Bundle-ActivationPolicy: lazy
+Bundle-Activator: org.eclipse.net4j.internal.ui.bundle.OM$Activator
Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-ClassPath: .
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.net4j;visibility:=reexport,
- org.eclipse.net4j.util.ui;visibility:=reexport
+ org.eclipse.net4j;bundle-version="[0.8.0,0.9.0)";visibility:=reexport,
+ org.eclipse.net4j.util.ui;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
Export-Package: org.eclipse.net4j.internal.ui;version="0.8.0",
org.eclipse.net4j.internal.ui.views;version="0.8.0"
-Bundle-ActivationPolicy: lazy
diff --git a/plugins/org.eclipse.net4j.util.ui/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.util.ui/META-INF/MANIFEST.MF
index 7b6f812..d42cd87 100644
--- a/plugins/org.eclipse.net4j.util.ui/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.util.ui/META-INF/MANIFEST.MF
@@ -1,16 +1,17 @@
Manifest-Version: 1.0
Bundle-ManifestVersion: 2
-Bundle-Name: %pluginName
Bundle-SymbolicName: org.eclipse.net4j.util.ui;singleton:=true
Bundle-Version: 0.8.0.qualifier
-Bundle-Activator: org.eclipse.net4j.util.internal.ui.bundle.OM$Activator
+Bundle-Name: %pluginName
Bundle-Vendor: %providerName
-Bundle-ClassPath: .
+Bundle-ActivationPolicy: lazy
Bundle-Localization: plugin
+Bundle-Activator: org.eclipse.net4j.util.internal.ui.bundle.OM$Activator
Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-ClassPath: .
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)",
- org.eclipse.ui;visibility:=reexport,
- org.eclipse.net4j.util;visibility:=reexport
+ org.eclipse.ui;bundle-version="[3.4.0,4.0.0)";visibility:=reexport,
+ org.eclipse.net4j.util;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
Export-Package: org.eclipse.net4j.util.internal.ui;version="0.8.0",
org.eclipse.net4j.util.internal.ui.actions;version="0.8.0",
org.eclipse.net4j.util.internal.ui.security;version="0.8.0",
@@ -22,4 +23,3 @@ Export-Package: org.eclipse.net4j.util.internal.ui;version="0.8.0",
org.eclipse.net4j.util.ui.proposals;version="0.8.0",
org.eclipse.net4j.util.ui.views;version="0.8.0",
org.eclipse.net4j.util.ui.widgets;version="0.8.0"
-Bundle-ActivationPolicy: lazy
diff --git a/plugins/org.eclipse.net4j.util/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j.util/META-INF/MANIFEST.MF
index 1dbb447..41addd1 100644
--- a/plugins/org.eclipse.net4j.util/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j.util/META-INF/MANIFEST.MF
@@ -4,10 +4,11 @@ Bundle-SymbolicName: org.eclipse.net4j.util;singleton:=true
Bundle-Version: 0.8.0.qualifier
Bundle-Name: %pluginName
Bundle-Vendor: %providerName
-Bundle-Activator: org.eclipse.net4j.internal.util.bundle.OM$Activator
-Bundle-ClassPath: .
Bundle-Localization: plugin
+Bundle-ActivationPolicy: lazy
+Bundle-Activator: org.eclipse.net4j.internal.util.bundle.OM$Activator
Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-ClassPath: .
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)";resolution:=optional
Import-Package: org.eclipse.osgi.service.debug;version="1.0.0";resolution:=optional,
org.osgi.framework;version="1.3.0";resolution:=optional,
@@ -50,4 +51,3 @@ Export-Package: org.eclipse.net4j.internal.util.bundle;version="0.8.0";x-interna
org.eclipse.net4j.util.registry;version="0.8.0",
org.eclipse.net4j.util.security;version="0.8.0",
org.eclipse.net4j.util.transaction;version="0.8.0"
-Bundle-ActivationPolicy: lazy
diff --git a/plugins/org.eclipse.net4j/META-INF/MANIFEST.MF b/plugins/org.eclipse.net4j/META-INF/MANIFEST.MF
index dc4f4f7..87a11cf 100644
--- a/plugins/org.eclipse.net4j/META-INF/MANIFEST.MF
+++ b/plugins/org.eclipse.net4j/META-INF/MANIFEST.MF
@@ -4,12 +4,13 @@ Bundle-SymbolicName: org.eclipse.net4j;singleton:=true
Bundle-Version: 0.8.0.qualifier
Bundle-Name: %pluginName
Bundle-Vendor: %providerName
-Bundle-Activator: org.eclipse.internal.net4j.bundle.OM$Activator
-Bundle-ClassPath: .
Bundle-Localization: plugin
+Bundle-ActivationPolicy: lazy
+Bundle-Activator: org.eclipse.internal.net4j.bundle.OM$Activator
Bundle-RequiredExecutionEnvironment: J2SE-1.5
+Bundle-ClassPath: .
Require-Bundle: org.eclipse.core.runtime;bundle-version="[3.4.0,4.0.0)";resolution:=optional,
- org.eclipse.net4j.util;visibility:=reexport
+ org.eclipse.net4j.util;bundle-version="[0.8.0,0.9.0)";visibility:=reexport
Export-Package: org.eclipse.internal.net4j;version="0.8.0",
org.eclipse.internal.net4j.acceptor;version="0.8.0",
org.eclipse.internal.net4j.buffer;version="0.8.0",
@@ -26,4 +27,3 @@ Export-Package: org.eclipse.internal.net4j;version="0.8.0",
org.eclipse.net4j.signal;version="0.8.0",
org.eclipse.net4j.signal.failover;version="0.8.0",
org.eclipse.net4j.signal.wrapping;version="0.8.0"
-Bundle-ActivationPolicy: lazy